My profile
Settings · 1 operation
GET
Get my profile
/api/account/profileThe signed-in user: id, name, email, role, time zone and linked student, teacher or customer card. Use the id for "my" filters such as assigneeUserIds.
get_my_profile
Response · 200
application/json
curl "https://your-school.rist.pro/api/account/profile" \
-H "Authorization: Bearer $RIST_API_KEY"const response = await fetch("https://your-school.rist.pro/api/account/profile", {
headers: {
Authorization: `Bearer ${process.env.RIST_API_KEY}`,
},
});
const { data } = await response.json();import os
import requests
response = requests.get(
"https://your-school.rist.pro/api/account/profile",
headers={"Authorization": f"Bearer {os.environ['RIST_API_KEY']}"},
)
response.raise_for_status()
data = response.json()["data"]Response example · 200
{
"statusCode": 200,
"message": "Operation completed successfully",
"data": {}
}